/* Representante Banner */
.logistica-banner {
    width: 100%;
    padding-top: 170px;
    padding-bottom: 90px;
    background-image: url("/assets/images/logistica-transporte/logistica-banner.jpg");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    position: relative;
}

.logistica-banner .container {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    height: 100%;
}

.logistica-banner h1 {
    font-size: 50px;
    font-weight: 300;
    color: #ffffff;
    line-height: 60px;
    max-width: 690px;
    margin-bottom: 50px;
    display: inline-block;
}

.logistica-banner h1 strong {
    font-weight: 700;
}

.logistica-banner .logistica-banner-subtitle {
    font-family: 'Arimo', sans-serif;
    font-size: 20px;
    line-height: 30px;
    color: #ffffff;
    max-width: 768px;
    margin-bottom: 42px;
}

.logistica-banner-topics {
    display: flex;
    align-items: center;
    gap: 8px;
    margin-bottom: 42px;
}

.logistica-banner-topics-item {
    min-height: 74px;
    width: 280px;
    display: flex;
    align-items: center;
    gap: 12px;
    padding: 12px;
    background-color: #0000001A;
    border: 1px solid #FFFFFF33;
    border-radius: 12px;
    backdrop-filter: blur(24px);
    -webkit-backdrop-filter: blur(24px);
}

.logistica-banner-topics-item p {
    font-size: 15px;
    font-weight: 300;
    line-height: 17px;
    color: #ffffff;
}

.logistica-banner-subbutton {
    margin-bottom: 42px;
}

.logistica-banner-subbutton h3 {
    font-size: 25px;
    font-weight: 700;
    color: #ffffff;
}

.logistica-banner-subbutton-divider {
    height: 1.5px;
    width: 100%;
    max-width: 685px;
    margin-top: 20px;
    margin-bottom: 20px;
    background-color: #E0E0E04D;
}

.logistica-banner-ceabs {
    position: absolute;
    right: 0;
    bottom: -120px;
}

/* Logistica Operação */
.logistica-operacao {
    padding: 145px 0;
    background-color: #0F1E37;
}

.logistica-operacao .container {
    display: flex;
    justify-content: space-between;
    gap: 40px;
}

.logistica-operacao-content {
    width: 100%;
    max-width: 721px;
}

.logistica-operacao-content h2 {
    font-size: 50px;
    font-weight: 300;
    line-height: 68px;
    color: #ffffff;
    margin-bottom: 36px;
}

.logistica-operacao-content h2 strong {
    font-weight: 700;
}

.logistica-operacao-content p {
    width: 100%;
    max-width: 655px;
    font-family: 'Arimo', sans-serif;
    font-size: 20px;
    line-height: 30px;
    color: #ffffff;
    margin-bottom: 50px;
}

.logistica-operacao-solucoes {
    width: 100%;
    max-width: 332px;
}

.logistica-operacao-solucoes h3 {
    font-size: 20px;
    font-weight: 300;
    line-height: 30px;
    color: #ffffff;
    margin-bottom: 10px;
}

.logistica-operacao-solucoes-item {
    min-height: 74px;
    display: flex;
    align-items: center;
    gap: 21px;
    padding: 10px 12px 10px 22px;
    background-color: #0000001A;
    border: 1px solid #FFFFFF33;
    border-radius: 12px;
    backdrop-filter: blur(24px);
    -webkit-backdrop-filter: blur(24px);
    margin-top: 12px;
}

.logistica-operacao-solucoes-item p {
    font-size: 15px;
    font-weight: 300;
    line-height: 20px;
    color: #ffffff;
}

.logistica-operacao-solucoes h4 {
    font-size: 25px;
    font-weight: 300;
    line-height: 47px;
    color: #ffffff;
}

.logistica-operacao-solucoes-divider {
    height: 1.5px;
    width: 100%;
    background-color: #E0E0E04D;
}

/* Logistica Monitoramento */
.logistica-monitoramento {
    height: var(--solutions-height, 968px);
    padding: 145px 0;
    position: relative;
}

.logistica-monitoramento-sticky {
    position: sticky;
    top: 145px;
    overflow: hidden;
}

.logistica-monitoramento-scroll {
    overflow-x: hidden;
}

.logistica-monitoramento h2 {
    font-size: 50px;
    font-weight: 300;
    line-height: 68px;
    color: #0F1E37;
    max-width: 700px;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 40px;
    text-align: center;
}

.logistica-monitoramento h2 strong {
    font-weight: 700;
}

.logistica-monitoramento-content {
    display: flex;
    gap: 24px;
    width: max-content;
    padding: 0 24px;
    will-change: transform;
}

.logistica-monitoramento-content-item {
    height: 502px;
    width: 996px;
    min-width: 996px;
    max-width: 996px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-left: 20px;
    padding-right: 36px;
    background-color: rgba(0, 0, 0, 0.03);
    backdrop-filter: blur(24px);
    border-width: 1.5px;
    border-style: solid;
    border-color: rgba(0, 0, 0, 0.1);
    border-image: initial;
    border-radius: 12px;
}

.logistica-monitoramento-content-item-image {
    width: 100%;
    max-width: 409px;
}

.logistica-monitoramento-content-item-image img {
    height: 462px;
    object-fit: cover;
    border-radius: 12px;
}

.logistica-monitoramento-content-item-body {
    width: 100%;
    max-width: 492px;
}

.logistica-monitoramento-content-item-body h3 {
    font-size: 40px;
    font-weight: 700;
    line-height: 45px;
    -webkit-text-fill-color: transparent;
    color: transparent;
    margin-bottom: 12px;
    background: linear-gradient(90deg, rgb(0, 71, 187) 0%, rgb(0, 97, 255) 70%, rgb(0, 97, 255) 100%) text;
}

.logistica-monitoramento-content-item-body p {
    font-size: 20px;
    font-weight: 300;
    line-height: 30px;
    color: #000000;
}

.logistica-monitoramento-content-item-body-divider {
    height: 1.5px;
    width: 100%;
    max-width: 439px;
    background-color: #000000;
    margin-top: 8px;
    margin-bottom: 8px;
}

/* Logistica FAQ */
.logistica-faq {
    padding-top: 150px;
    padding-bottom: 140px;
}

.logistica-faq h2 {
    font-size: 50px;
    line-height: 68px;
    color: #000000;
    margin-bottom: 50px;
    text-align: center;
}

.logistica-faq-item {
    display: flex;
    justify-content: space-between;
    min-height: 120px;
    width: 100%;
    padding: 52px 42px 52px 78px;
    border-bottom: 1.5px solid #000000;
}

.logistica-faq-item h4 {
    font-size: 20px;
    font-weight: 300;
    line-height: 30px;
    color: #000000;
    opacity: 0.3;
    transition: opacity .2s;
}

.logistica-faq-item p {
    font-size: 20px;
    font-weight: 300;
    line-height: 30px;
    color: #000000;
    display: none;
    margin-top: 20px;
}

.logistica-faq-item-button {
    opacity: 0.3;
    cursor: pointer;
    transition: opacity .2s;
}

.logistica-faq-item:hover h4,
.logistica-faq-item:hover .logistica-faq-item-button,
.logistica-faq-item.logistica-faq-item-active h4,
.logistica-faq-item.logistica-faq-item-active .logistica-faq-item-button {
    opacity: 1;
}

.logistica-faq-item:hover h4,
.logistica-faq-item.logistica-faq-item-active h4 {
    color: var(--color-primary);
}

.logistica-faq-item.logistica-faq-item-active h4 {
    font-weight: 700;
}

.logistica-faq-item.logistica-faq-item-active p {
    display: block;
}

.logistica-faq-item .logistica-faq-item-button-close {
    display: none;
    min-width: 36px;
}

.logistica-faq-item .logistica-faq-item-button-open {
    min-width: 36px;
}


.logistica-faq-item.logistica-faq-item-active .logistica-faq-item-button-close {
    display: block;
}

.logistica-faq-item.logistica-faq-item-active .logistica-faq-item-button-open {
    display: none;
}

.logistica-faq-item .logistica-faq-item-content {
    max-height: 0;
    overflow: hidden;
    opacity: 0;
    transition: max-height 0.3s ease, opacity 0.3s ease;
}

.logistica-faq-item.logistica-faq-item-active .logistica-faq-item-content {
    max-height: 300px;
    opacity: 1;
}

.logistica-faq-cta {
    text-align: center;
    margin-top: 45px;
}

/* Logística Soluções */
.logistica-solucoes {
    padding-top: 155px;
    padding-bottom: 220px;
    margin-bottom: -120px;
    background-color: #0F1E37;
    background-image: url("/assets/images/logistica-transporte/logistica-solucoes-bg.png");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-blend-mode: multiply;
}

.logistica-solucoes h2 {
    font-size: 50px;
    font-weight: 300;
    line-height: 68px;
    color: #FFFFFF;
    text-align: center;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 40px;
    max-width: 700px;
}

.logistica-solucoes h2 strong {
    font-weight: 700;
}

.logistica-solucoes-wrapper {
    width: 100%;
    min-height: 680px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #0000001A;
    padding: 25px;
    margin-bottom: 150px;
    border: 1px solid #FFFFFF33;
    border-radius: 12px;
    backdrop-filter: blur(12px);
    -webkit-backdrop-filter: blur(12px);
    position: relative;
    z-index: 2;
}

.logistica-solucoes-shake-top {
    position: absolute;
    top: 25px;
    left: 25px;
    animation: stretch-shake 1s ease-in-out infinite;
    transform-origin: left center;
}

.logistica-solucoes-shake-bottom {
    position: absolute;
    bottom: 25px;
    right: 25px;
    animation: stretch-shake 1s ease-in-out infinite;
    transform-origin: right center;
}

@keyframes stretch-shake {
    0% {
        transform: scaleX(1);
    }

    25% {
        transform: scaleX(0.85);
    }

    50% {
        transform: scaleX(1.15);
    }

    75% {
        transform: scaleX(0.92);
    }

    100% {
        transform: scaleX(1);
    }
}

.logistica-solucoes-bg {
    min-height: 660px;
    width: 96%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    background-image: url("/assets/images/logistica-transporte/logistica-slides-bg.png");
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
}

.logistica-solucoes-bg h4 {
    font-size: 25px;
    font-weight: 300;
    color: #FFFFFF;
    line-height: 30px;
    text-align: center;
}

.logistica-solucoes-bg h4 strong {
    font-weight: 700;
}

.logistica-solucoes-slides-wrapper {
    width: 100%;
    max-width: 840px;
    margin-bottom: 60px;
    touch-action: pan-y;
    /* filter: drop-shadow(0px 0px 55px rgba(0, 0, 0, 0.25)); */
}

.logistica-solucoes-slides {
    min-height: 379px;
    width: 100%;
    display: flex;
    align-items: center;
    gap: 80px;
    background-color: #0047BB;
    padding: 20px 76px;
    position: relative;
    clip-path: polygon(30% 0%, 34% 5%, 66% 5%, 70% 0%, 100% 0%, 100% 100%, 0% 100%, 0% 0%);
}

.logistica-solucoes-slides-icon {
    min-height: 210px;
    width: 210px;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}

.logistica-solucoes-slides-icon ._js_logistica_slide_icon {
    transition: opacity 0.2s ease, transform 0.2s ease;
}

.logistica-solucoes-slides-icon ._js_logistica_slide_icon.is-changing {
    opacity: 0;
    transform: scale(0.95);
}

.logistica-solucoes-slides-content {
    width: 100%;
    max-width: 396px;
    transition: opacity 0.2s ease, transform 0.2s ease;
}

.logistica-solucoes-slides-content.is-changing {
    opacity: 0;
}

.logistica-solucoes-slides-content h3 {
    font-size: 35px;
    line-height: 45px;
    color: #FFFFFF;
    max-width: 330px;
}

.logistica-solucoes-slides-content .logistica-solucoes-slides-content-subtitle {
    font-size: 20px;
    line-height: 30px;
    color: #FFFFFF;
    margin-bottom: 20px;
}

.logistica-solucoes-slides-content .logistica-solucoes-slides-content-text {
    font-family: 'Arimo', sans-serif;
    font-size: 15px;
    line-height: 25px;
    color: #FFFFFF;
}

.logistica-solucoes-slides-content .logistica-solucoes-slides-content-text:first-of-type {
    margin-top: 20px;
}

.logistica-solucoes-slides-content .logistica-solucoes-slides-content-divider {
    height: 1.5px;
    width: 100%;
    max-width: 395px;
    margin: 8px 0;
    background-color: rgb(255, 255, 255, 0.3);
}

.logistica-solucoes-slides-bottom-logo {
    position: absolute;
    left: 21px;
    bottom: 21px;
}

.logistica-solucoes-slides-buttons {
    position: absolute;
    right: 17px;
    bottom: 17px;
    display: flex;
    align-items: center;
    gap: 25px;
}

.logistica-solucoes-slides-buttons img {
    padding: 4px;
    cursor: pointer;
}

.logistica-solucoes-resultados {
    overflow: hidden;
}

.logistica-solucoes-resultados-carrosel {
    display: flex;
    gap: 20px;
    width: max-content;
    animation: scroll 16s linear infinite;
}

.logistica-solucoes-resultados-carrosel-item {
    display: flex;
    align-items: center;
    gap: 22px;
    width: 425px;
    padding: 20px 5px 20px 20px;
    background-color: rgba(21, 35, 60, 0.5);
    border: 1px solid rgba(255, 255, 255, 0.2);
    border-radius: 12px;
}

.logistica-solucoes-resultados-carrosel-item p {
    font-size: 15px;
    font-weight: 300;
    color: #FFFFFF;
}

@keyframes scroll {
    from {
        transform: translateX(0);
    }
    to {
        transform: translateX(-50%);
    }
}

/* Logistica Como Funciona */
.logistica-como-funciona {
    padding-top: 267px;
    padding-bottom: 170px;
    background-color: #064BBD;
    background-image: url("/assets/images/logistica-transporte/logistica-como-funciona-bg.png");
    background-repeat: no-repeat;
    background-position-y: 100%;
    background-position-x: center;
    clip-path: polygon(8% 0%, 18% 120px, 82% 120px, 92% 0%, 100% 0%, 100% 100%, 0% 100%, 0% 0%);
}

.logistica-como-funciona h2 {
    font-size: 50px;
    font-weight: 300;
    line-height: 60px;
    color: #FFFFFF;
    text-align: center;
    margin-top: 20px;
    margin-left: auto;
    margin-right: auto;
    max-width: 700px;
}

.logistica-como-funciona h2 strong {
    font-weight: 700;
}

.logistica-como-funciona .logistica-como-funciona-subtitle {
    font-size: 20px;
    line-height: 50px;
    color: #FFFFFF;
    text-align: center;
    margin-bottom: 74px;
}

.logistica-como-funciona .logistica-como-funciona-steps {
    display: flex;
    justify-content: center;
    gap: 88px;
}

.logistica-como-funciona .logistica-como-funciona-item {
    min-height: 257px;
    width: 246px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 22px;
    background-color: #FFFFFF1A;
    border: 2px solid #FFFFFF33;
    border-radius: 10px;
    position: relative;
    overflow: hidden;
    backdrop-filter: blur(24px);
    -webkit-backdrop-filter: blur(24px);
    --base-y: 0px;
    animation: breathe 2s ease-in-out infinite;
}

.logistica-como-funciona .logistica-como-funciona-item:first-of-type,
.logistica-como-funciona .logistica-como-funciona-item:last-of-type {
    --base-y: 172px;
}

@keyframes breathe {
    0% {
        transform: translateY(var(--base-y));
    }

    50% {
        transform: translateY(calc(var(--base-y) - 16px));
    }

    100% {
        transform: translateY(var(--base-y));
    }
}

.logistica-como-funciona .logistica-como-funciona-item h3 {
    font-size: 15px;
    line-height: 18px;
    color: #FFFFFF;
}

.logistica-como-funciona .logistica-como-funciona-item p {
    font-family: 'Arimo',sans-serif;
    font-size: 15px;
    line-height: 20px;
    color: #FFFFFF;
}

.logistica-como-funciona .logistica-como-funciona-item-cta {
    display: flex;
    align-items: flex-end;
    justify-content: space-between;
}

.logistica-como-funciona .logistica-como-funciona-item-cta a {
    font-family: 'Arimo',sans-serif;
    font-size: 15px;
    color: #FFFFFF; 
}

.logistica-como-funciona .logistica-como-funciona-item .logistica-como-funciona-item-step {
    position: absolute;
    height: 100%;
    top: 0;
    right: -4px;
}

.logistica-como-funciona-logo {
    text-align: center;
    margin-top: 14px;
    margin-bottom: 215px;
}

.logistica-como-funciona-logo img {
    margin: 0 auto 52px auto;
}

.logistica-beneficios {
    display: flex;
    justify-content: center;
    gap: 58px;
    padding: 0 20px;
    margin-top: 94px;
    margin-bottom: 40px;
}

.logistica-beneficios-item {
    position: relative;
}

.logistica-beneficios-item .logistica-beneficios-item-content {
    position: absolute;
    left: 0;
    bottom: 0;
    padding: 50px;
}

.logistica-beneficios-item h4 {
    font-size: 25px;
    font-weight: 700;
    line-height: 30px;
    color: #FFFFFF;
    margin-bottom: 26px;
    position: relative;
}

.logistica-beneficios-item p {
    font-size: 15px;
    line-height: 20px;
    color: #FFFFFF;
    position: relative;
}

/* Logistica Contact */
.logistica-contact {
    padding: 160px 0;
    background-color: #0F1E37;
}

.logistica-contact .container {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    gap: 40px;
}

.logistica-contact .logistica-contact-content h2 {
    font-size: 40px;
    font-weight: 300;
    line-height: 68px;
    color: #ffffff;
    max-width: 560px;
    margin-bottom: 40px;
}

.logistica-contact .logistica-contact-content h2 strong {
    font-weight: 700;
}

.logistica-contact .logistica-contact-content-item {
    min-height: 74px;
    width: 100%;
    max-width: 499px;
    display: flex;
    align-items: center;
    gap: 22px;
    padding: 20px;
    background-color: #15233C80;
    border: 1px solid #FFFFFF33;
    border-radius: 12px;
    backdrop-filter: blur(24px);
    -webkit-backdrop-filter: blur(24px);
    margin-bottom: 28px;
}

.logistica-contact .logistica-contact-content-item p {
    font-size: 15px;
    color: #ffffff;
}

.logistica-contact-form {
    width: 490px;
    padding: 24px 35px 32px 35px;
    background-color: #FFFFFF66;
    border: 1px solid #FFFFFF66;
    border-radius: 12px;
    backdrop-filter: blur(24px);
    -webkit-backdrop-filter: blur(24px);
}

.logistica-contact-form h3 {
    font-size: 25px;
    font-weight: 300;
    line-height: 32px;
    color: #ffffff;
    margin-bottom: 20px;
}

.logistica-contact-form h3 strong {
    font-weight: 700;
}

.logistica-contact-form input {
    font-size: 15px;
    font-weight: 300;
    height: 58px;
    width: 100%;
    padding: 12px 16px;
    background-color: #F8F8F8;
    border: 1px solid #E3E3E4;
    border-radius: 4px;
    color: #45484C;
    margin-bottom: 24px;
}

.logistica-contact-form .btn {
    width: 130px;
    display: block;
    margin-left: auto;
}

@media (max-width: 1660px) {
    .logistica-banner-topics {
        flex-wrap: wrap;
    }
}

@media (max-width: 1100px) {
    .logistica-beneficios {
        flex-direction: column;
        align-items: center;
    }

    .logistica-como-funciona {
        background-position-y: 41%;
    }
}

@media (max-width: 768px) {
    .logistica-banner {
        background-image: url("/assets/images/logistica-transporte/logistica-banner-mobile.jpg");
    }

    .logistica-banner h1 {
        padding-top: 40px;
    }

    .logistica-banner-ceabs {
        width: 100px;
        bottom: -40px;
    }

    .logistica-operacao .container {
        flex-direction: column;
    }

    .logistica-operacao-content,
    .logistica-operacao-content p {
        text-align: center;
        max-width: none;
    }

    .logistica-operacao-solucoes {
        margin: 0 auto;
    }

    .logistica-monitoramento {
        height: auto;
    }

    .logistica-monitoramento-content {
        width: 100%;
        flex-direction: column;
    }

    .logistica-monitoramento-content-item {
        height: auto;
        width: 100%;
        min-width: auto;
        max-width: none;
        padding: 20px;
        text-align: center;
        flex-direction: column;
    }

    .logistica-monitoramento-content-item-image,
    .logistica-monitoramento-content-item-body {
        max-width: none;
    }

    .logistica-monitoramento-content-item-image {
        display: flex;
        justify-content: center;
        margin-bottom: 40px;
    }

    .logistica-monitoramento-content-item-body {
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .logistica-como-funciona {
        clip-path: none;
        padding-top: 80px;
    }

    .logistica-como-funciona .logistica-como-funciona-steps {
        gap: 20px;
    }

    .logistica-solucoes-wrapper {
        padding: 20px;
    }

    .logistica-solucoes-slides {
        flex-direction: column;
        padding: 70px 20px;
        gap: 40px;
    }

    .logistica-faq-item {
        padding: 40px 0;
    }

    .logistica-contact {
        padding: 80px 0;
    }

    .logistica-contact .container {
        flex-direction: column;
        align-items: center;
    }
}

@media (max-width: 600px) {
    .logistica-como-funciona-steps {
        flex-direction: column;
        align-items: center;
    }

    .logistica-como-funciona .logistica-como-funciona-item {
        --base-y: 0 !important;
    }
}

@media (max-width: 500px) {
    .logistica-banner h1,
    .logistica-operacao-content h2,
    .logistica-monitoramento h2,
    .logistica-monitoramento-content-item-body h3,
    .logistica-solucoes h2,
    .logistica-como-funciona h2,
    .logistica-faq h2,
    .logistica-contact .logistica-contact-content h2 {
        font-size: 36px;
        line-height: 46px;
    }

    .logistica-banner-ceabs {
        display: none;
    }

    .logistica-banner-topics-item {
        width: 100% !important;
    }

    .logistica-operacao,
    .logistica-monitoramento,
    .logistica-solucoes,
    .logistica-como-funciona,
    .logistica-faq {
        padding: 80px 0;
    }

    .logistica-solucoes {
        margin-bottom: auto;
    }

    .logistica-contact-form {
        width: 100%;
    }
}
